
<mat-toolbar  color="primary" class="mat-elevation-z8">
  <h3>Događajs</h3>
  <button mat-button id="navbarHomeButton" routerLink="/">Home</button>
  <button mat-button id="navbarSearchButton" routerLink="/search">Search</button>

  <button mat-button id="navbarAddLocationButton" *ngIf="currentUser?.role === 'Admin'" routerLink="/addLocation">Add location</button>
  <button mat-button id="navbarAddSpaceButton" *ngIf="currentUser?.role === 'Admin'" routerLink="/addSpace">Add space</button>
  <button mat-button id="navbarAddEventButton" *ngIf="currentUser?.role === 'Admin'" routerLink="/addEvent">Add event</button>
  <button mat-button id="navbarLocationsButton" *ngIf="currentUser?.role === 'Admin'" routerLink="/locations">Locations</button>
  <button mat-button id="navbarTicketsButton" *ngIf="currentUser" routerLink="/tickets">Tickets</button>
  <span class="spacer"></span>
  <button mat-button *ngIf="!currentUser" routerLink="/register">Register</button>
  <button mat-button id="navbarLoginButton" *ngIf="!currentUser" routerLink="/login">Login</button>
  <button mat-button id="navbarLogoutButton" *ngIf="currentUser" (click)="logout()">Logout</button>
</mat-toolbar>
